<ng-container *ngIf="vm$ | async as vm">
  <form [formGroup]="form" (ngSubmit)="onSubmit()" class="auth-form__form ct-form">
    <div>
      <label [for]="formType + '_auth-form-username'">{{'AuthForm.Form.UsernameLabel' | translate}}</label>
      <input pInputText [id]="formType + '_auth-form-username'" [formControl]="username"
        [class.ng-invalid]="hasUsernameError" autocomplete="off" [class.ng-dirty]="hasUsernameError"
        [placeholder]="'AuthForm.Form.UsernamePlaceholder' | translate" />
      <ct-form-error *ngIf="hasUsernameError" [errors]="username.errors"></ct-form-error>
    </div>
    <div>
      <label [for]="formType + '_auth-form-password'">{{'AuthForm.Form.PasswordLabel' | translate}}</label>
      <p-password [formControl]="password" [feedback]="false" [id]="formType + '_auth-form-password'"
        [class.ng-invalid]="hasPasswordError" [class.ng-dirty]="hasPasswordError"
        [placeholder]="'AuthForm.Form.PasswordPlaceholder' | translate"></p-password>
      <ct-form-error *ngIf="hasPasswordError" [errors]="password.errors"></ct-form-error>
    </div>
    <ct-submit-button [label]="submitButtonLabel" [isLoading]="vm.isLoading"
      (performSubmit)="onSubmit()"></ct-submit-button>
  </form>
</ng-container>
